# Uses of Interface
java.lang.management.MemoryPoolMXBean

Packages that use MemoryPoolMXBean
Package
Description
java.lang.management
Provides the management interfaces for monitoring and management of the Java virtual machine and other components in the Java runtime.

## Uses of MemoryPoolMXBean in java.lang.management

Methods in java.lang.management that return types with arguments of type MemoryPoolMXBean
Modifier and Type
Method
Description
`static List<MemoryPoolMXBean>`
ManagementFactory.`getMemoryPoolMXBeans()`
Returns a list of `MemoryPoolMXBean` objects in the Java virtual machine.